Package org.gradle.language.objectivecpp

## Interface ObjectiveCppSourceSet

- All Superinterfaces:
    `Buildable`, `BuildableComponentSpec`, `ComponentSpec`, `DependentSourceSet`, `HeaderExportingSourceSet`, `LanguageSourceSet`, `ModelElement`, `Named`

      @Incubating
      public interface ObjectiveCppSourceSet
      extends HeaderExportingSourceSet, LanguageSourceSet, DependentSourceSet

  A set of Objective-C++ source files.

  An Objective-C++ source set contains a set of source files, together with an optional set of exported header files.

       plugins {
           id 'objective-cpp'
       }

       model {
           components {
               main(NativeLibrarySpec) {
                   sources {
                       objcpp {
                           source {
                               srcDirs "src/main/objectiveCpp", "src/shared/objectiveCpp"
                               include "**/*.mm"
                           }
                           exportedHeaders {
                               srcDirs "src/main/include"
                           }
                       }
                   }
               }
           }
       }

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Named

      `Named.Namer`

  - ### Method Summary

    - ### Methods inherited from interface org.gradle.api.Buildable

      `getBuildDependencies`

    - ### Methods inherited from interface org.gradle.api.BuildableComponentSpec

      `builtBy, getBuildTask, hasBuildDependencies, setBuildTask`

    - ### Methods inherited from interface org.gradle.platform.base.ComponentSpec

      `getProjectPath`

    - ### Methods inherited from interface org.gradle.language.nativeplatform.DependentSourceSet

      `getLibs, getPreCompiledHeader, lib, setPreCompiledHeader`

    - ### Methods inherited from interface org.gradle.language.nativeplatform.HeaderExportingSourceSet

      `getExportedHeaders, getImplicitHeaders`

    - ### Methods inherited from interface org.gradle.language.base.LanguageSourceSet

      `generatedBy, getParentName, getSource`

    - ### Methods inherited from interface org.gradle.model.ModelElement

      `getDisplayName, getName`